require 'ostruct'

module Deadlift
  module Barbell
    class Default < OpenStruct

      def initialize(params)
        @barbell = Base.new(params)
        super params
      end

      def errors
        @barbell.errors
      end

      def approved?
        errors.empty?
      end
    end
  end
end
